{%extends 'base_admin.html'%}
{%block title%}Admin | Edit FAQ{%endblock title%}

{%block content%}
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
        
        <!---Admin_header -->
        {%include 'admin_header.html'%}
        <!-- Admin_header-->

        <div class="wrapper row-offcanvas row-offcanvas-left">
            

            <!-- admin left side menu -->

            {%include 'admin_leftside_menu.html'%}

             <!-- admin left side menu -->

            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Dashboard
                        <small>Control panel</small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="{%url 'admin_panel'%}"><i class="fa fa-dashboard"></i>Home</a></li>
                        <li class="active">Edit FAQ</li>
                    </ol>
                </section>

                <!-- Main content -->

                 <section class="content">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Edit Question</h3>
                                </div><!-- /.box-header -->


                                <!-- form start -->
                             
                                    <div class="box-body">

                                          <div class="form-group ">


                                        {%if site_error%}
                                           
                                            <div class="alert alert-danger alert-dismissable">
                                                <i class="fa fa-ban"></i>
                                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                                <b>This field can not be empty!</b> Please Fill Up With Appropriate Description.
                                             </div>

                                 

                                        {%elif length_error%}
                                        <div class="form-group has-error">
                                           <label class="control-label" for="cat_name"><i class="fa fa-check"></i>Minimum 3 Character Required</label>
                                        </div>
                                       
                                                                       
                                            
                                            {%elif  add_success%}
                                            <div class="alert alert-success alert-dismissable">
                                            <i class="fa fa-check"></i>
                                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                            Item Successfully Updated
                                            </div>
                                            {%endif%}


                                            <form role="form" action="" id="addcatform" method="post" >{%csrf_token%}                     
                                            <textarea id="editor1" name="question" rows="10"  cols="80">
                                                   {{query_faq.question}} 

                                            </textarea>

                                            <hr/>
                                                <div class="box-header">
                                                    <h3 class="box-title">Edit Answer</h3>
                                                </div>

                                            {%if ans_req_error%}
                                           
                                            <div class="alert alert-danger alert-dismissable">
                                                <i class="fa fa-ban"></i>
                                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                                <b>Answer field is required !</b> This field can not be empty.
                                             </div>
                                             {%endif%}


                                            <div class="form-group">
                                                <textarea id="editor2" name="answer" rows="10"  cols="80">
                                                    
                                                    {{query_faq.answer}}
                                                </textarea>
                                            </div>


                                        </div>
                                                                        
                                    </div><!-- /.box-body -->

                                    <div class="box-footer">
                                        <button type="submit" id="add_faq" class="btn btn-success"><span class="glyphicon glyphicon-floppy-save"></span> Save FAQ</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->

                            <!-- Form Element sizes -->
                            
                            <!-- /.box -->

                            <!-- Input addon -->

                        


                        </div><!--/.col (left) -->
                        <!-- right column -->
                        <div class="col-md-12">
                            <!-- general form elements disabled -->
                            
                            <div class="box">
                                <div class="box-header">
                                    <h3 class="box-title">Job Types</h3>
                                </div><!-- /.box-header -->

                                {%if del_error%}
                                <div class="form-group has-error">
                                <label class="control-label" for="cat_name"><i class="fa fa-check"></i>Failed To Delete Category</label>
                                </div>
                                {%endif%}




                                 <div class="box-body table-responsive">
                                    <table id="example2" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>FAQS</th>
                                                <th>Date Created</th>
                                                <th>Date Updated</th>
                                                <th>Edit</th>
                                                <th>Delete</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        {%if categories%}
                                        {%for category in categories%}
                                            <tr>
                                                <td>{{category.id}}</td>
                                                <td><strong>{{category.question|truncatewords:10|safe}}</strong></td>
                                                <td>{{category.created}}</td>
                                                <td>{{category.edited}}</td>
                                                <td><a href="{% url 'edit_faq' category.id %}"><i class="fa fa-edit"></i></a></td>
                                                <td><a href="{% url 'del_faq' category.id %}" onClick="return confirmPost();"><i class="fa fa-trash"></i></a></td>
                                            </tr>
                                        {%endfor%}
                                           
                                        </tbody>
                                
                                    </table>
                                </div>

                               <!-- /.box-body -->
                                
                            </div>
                            {%endif%}


                            <!-- /.box -->
                        </div><!--/.col (right) -->

               

                    </div>   <!-- /.row -->
                </section>
                <!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->

        <!-- add new calendar event modal -->


       <!-- footer -->
       
       <!-- footer -->

       <!--all table related js -->
        {%include 'admin_data_table.html'%}
        <!--all table related js -->


</body>
</html>

<script type="text/javascript">
        $(function() {
                // Replace the <textarea id="editor1"> with a CKEditor
                // instance, using default configuration.
                CKEDITOR.replace('editor2');
             
            });
    </script>
{%endblock content%}